<template>
  <div class="home-view">
    <div class="home-tit">
      <mt-header class="home-header" >
        <router-link to="/" slot="left">
          <span class="title">{{view.viewData.name}}</span>
        </router-link>
        <router-link to="/" @click.native="nav_click()" slot="right">
          <mt-button>
            <span class="join">{{$t('showMore')}}</span>
            <div class="more-arrow"></div>
          </mt-button>
        </router-link>
      </mt-header>
    </div>
    <div class="home-view-con">
      <view_delegate
        :openParams="{appId: view.viewData.applicationId, 
          actionContent: view.viewData.actionContent, 
        }"
        v-bind="$attrs"
        v-on="$listeners"
        :showtype = "'home'"
      >
      </view_delegate>
    </div>
    <!-- <div class="see-more"  @click="nav_click()">
      {{$t('showMore')}} <i class="fa fa-arrow-right color"></i> 
    </div> -->
  </div>
</template>

<script>
import view_delegate from "@/components/view_delegate.vue";
export default {
  name: "widget-view",
  props: ["view"],
  components: {
    view_delegate,
  },
  created() {
    this.getTemplate();
  },
  data: function() {
    return {
      viewList:'',
    };
  },
  methods: {
    nav_click() {
      this.$router.push({  
        name:'open',
        query:{linkType:'01',actionContent:this.view.viewData.actionContent}
      })
            
    },
    getTemplate() {
      let appId = this.$root.appid;
      let viewId = this.view.viewData.actionContent;
      let exparams = "";
      this.$api.getViewTemplate(appId, viewId, exparams, {
        onSucess: response => {
          this.viewList = response.data.data;
        }
      })
    }
  },
}
</script>

